Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.schema_3_other.resolve_reference_api_v1_sandbox_github_repositories_resolve_post(repository_id=716014)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.schema3Other.resolveReferenceApiV1SandboxGithubRepositoriesResolvePost({
resolveReferenceRequest: {
repositoryId: 716014,
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Schema3Other.ResolveReferenceApiV1SandboxGithubRepositoriesResolvePostAsync(body: new ResolveReferenceRequest() {
RepositoryId = 716014,
});
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/sandbox/github/repositories/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repository_id": 123,
"ref": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({repository_id: 123, ref: '<string>'})
};
fetch('https://apigw.mka1.com/api/v1/sandbox/github/repositories/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"repository_id": 123,
"owner": "<string>",
"repository": "<string>",
"ref": "<string>",
"sha": "<string>",
"default_branch": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}schema-3_other
Resolve Reference
POST
/
api
/
v1
/
sandbox
/
github
/
repositories
/
resolve
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.schema_3_other.resolve_reference_api_v1_sandbox_github_repositories_resolve_post(repository_id=716014)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.schema3Other.resolveReferenceApiV1SandboxGithubRepositoriesResolvePost({
resolveReferenceRequest: {
repositoryId: 716014,
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Schema3Other.ResolveReferenceApiV1SandboxGithubRepositoriesResolvePostAsync(body: new ResolveReferenceRequest() {
RepositoryId = 716014,
});
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Was this page helpful?
⌘I